Update a user's account details
PUT/api/v1/users/:id
Updates the details of an existing user account. Changing the password (sending oldPassword and newPassword) signs the user out of every other session and revokes all of their access tokens, including the token used for this request. When the request is made from a web session, the response sets a new session cookie so that browser stays signed in.
Request
Responses
- 200
- 400
- 401
- 429
Successfully updated the user's account details.
Bad request error.
Unauthorized
Too many wrong passwords for this account, sent in `password` to change the email or in `oldPassword` to change the password. This is the same limit as `POST /api/v1/session`.